## octave-tsa 3.10.6

=== DESCRIPTION ===
Name: TSA
Version: 3.10.6
Date: 2008-04-29
Author: Alois Schloegl <a.schloegl@ieee.org>
Maintainer: Alois Schloegl <a.schloegl@ieee.org>
Title: Time Series Analysis Toolbox 
Description: Stochastic concepts and maximum entropy methods for time series analysis
Depends: octave (>= 2.9.7) 
Depends: NaN (>= 1.0.0)
License: GPL version 2 or later
Url: http://www.dpmi.tu-graz.ac.at/~schloegl/matlab/tsa
