## octave-tsa 4.0.1

=== DESCRIPTION ===
Name: TSA
Version: 4.0.1
Date: 2009-05-03
Author: Alois Schloegl <a.schloegl@ieee.org>
Maintainer: Alois Schloegl <a.schloegl@ieee.org>
Title: Time Series Analysis Toolbox 
Description: Stochastic concepts and maximum entropy methods for time series analysis
Depends: octave (>= 2.9.7) 
Depends: NaN (>= 1.0.0)
License: GPL version 3 or later
Url: http://hci.tugraz.at/~schloegl/matlab/tsa
