## octave-tsa 4.1.0+svn20110501

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: TSA
-Version: 4.0.1
-Date: 2009-05-03
+Version: 4.1.0
+Date: 2009-09-08
 Author: Alois Schloegl <a.schloegl@ieee.org>
 Maintainer: Alois Schloegl <a.schloegl@ieee.org>
 Title: Time Series Analysis Toolbox
