=== debian/changelog ===
octave-tsa (4.1.0+svn20110501-1) unstable; urgency=low

  * New upstream snapshot
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571873)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump standards version to 3.9.1, no changes needed

 -- Thomas Weber <tweber@debian.org>  Tue, 17 May 2011 21:57:56 +0200

octave-tsa (4.0.1-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * Upload to unstable 
  * Use octave-tsa.docs for installation of documents, following the change
    in octave-pkg-dev 0.7.1. 
  * debian/check.m: Load nan package before running the tests 
    (closes: #564342)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 17 Jan 2010 16:57:03 +0100

octave-tsa (4.0.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 25 May 2009 07:20:48 +0200

octave-tsa (4.0.0-2) unstable; urgency=low

  * debian/copyright: Add header
  * debian/control:
    + (Build-Depends): Bump build-dependency on octave-pkg-dev to >=
      0.6.4, such that the package is built with the versioned packages
      directory
    + (Standards-Version): Bump to 3.8.1 (add file debian/README.source)
    + (Depends): Add ${misc:Depends}
    + (Build-Depends): Drop octave-nan
    + (Build-Depends-Indep): Add octave-nan
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/source.lintian-overrides: Add file for overriding Lintian
    warnings build-depends-without-arch-dep
  * debian/patches/autoload-yes.diff: Add description

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 12 Apr 2009 17:51:14 +0200

octave-tsa (4.0.0-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version
  * Drop debian/patches/lpc-yule-walker.diff, applied upstream

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 14 Dec 2008 17:21:54 +0100

octave-tsa (3.10.6-2) unstable; urgency=low

  * debian/copyright: Add specific copyright notices for the inst/*.m.  In
    particular, notice that most of them are release under the LGPL and
    not the GPL.  (This should, really, closes: #481471.)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 07 Jun 2008 11:17:16 +0200

octave-tsa (3.10.6-1) unstable; urgency=low

  * Initial release (closes: #481471)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 16 May 2008 14:10:35 +0000
