=== debian/control ===
Source: octave-tsa
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
Build-Depends-Indep: octave-nan
Standards-Version: 3.9.1
Homepage: http://octave.sourceforge.net/tsa/
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-tsa.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-tsa.git

Package: octave-tsa
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}, octave-nan
Description: time series analysis in Octave
 The TSA toolbox is useful for analysing Time Series.  The methods are
 based on stochastic concepts and maximum entropy methods. The
 programs should be compatible to Matlab as well as Octave.  It
 includes Stochastic Signal processing, Autoregressive Model
 Identification, maximum entropy spectral estimation, and much more.
 .
 This Octave add-on package is part of the Octave-Forge project.
