## octave-tsa 4.2.4

=== DESCRIPTION ===
Name: TSA
Version: 4.2.4
Date: 2012-04-03
Author: Alois Schloegl <a.schloegl@ieee.org>
Maintainer: Alois Schloegl
Title: The TSA-toolbox
Description: A toolbox for Time Series Analysis .
Depends: octave (> 2.9.0)
License: GPL version 3 or later
Url: http://pub.ist.ac.at/~schloegl/matlab/tsa
