=== debian/changelog ===
octave-tsa (4.2.4-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 4.2.4
  * debian/patches/add-flag-implicit-skip-nan.patch: Drop patch (applied
    upstream)

  [ Sébastien Villemot ]
  * debian/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Thu, 05 Apr 2012 14:29:17 +0200

octave-tsa (4.2.2-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 4.2.2
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.1, to build against Octave 3.6
  * Add Sébastien Villemot to the list of Uploaders
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/patches/autoload-yes.diff: Drop patch
  * debian/patches/autoload-no.patch: New patch
  * Architecture is now "any", since some .mex files are included
  * debian/patches/add-flag-implicit-skip-nan.patch: New patch
  * debian/copyright: update to machine-readable format 1.0

 -- Thomas Weber <tweber@debian.org>  Fri, 30 Mar 2012 15:16:09 +0200
