## octave-tsa 4.2.4+dfsg

=== debian/changelog ===
octave-tsa (4.2.4+dfsg-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 4.2.4+dfsg.
    The upstream tarball has been repacked in order to remove the src/*.mex*
    files.
  * Remove binary files src/*.mex* from upstream tarball
    - debian/rules: Add get-orig-source rule
    - debian/copyright: Add list of files to be excluded
    - debian/watch: Mangle the upstream version to drop the "+dsfg" part
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright: Use octave-maintainers mailing list as upstream contact
  * Bump to Standards-Version 3.9.5, no changes needed

  [ Sébastien Villemot ]
  * Use my @debian.org email address

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 07 Dec 2013 14:17:15 +0100
