## octave-tsa 4.2.7

=== DESCRIPTION ===
Name: TSA
Version: 4.2.7
Date: 2014-01-12
Author: Alois Schloegl <alois.schloegl@ist.ac.at>
Maintainer: Alois Schloegl
Title: The TSA-toolbox
Description: A toolbox for Time Series Analysis .
Depends: octave (> 2.9.0)
License: GPL version 3 or later
Url: http://pub.ist.ac.at/~schloegl/matlab/tsa
