=== debian/changelog ===
octave-tsa (4.2.7-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 18:27:01 +0000

octave-tsa (4.2.7-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 4.2.7
  * debian/copyright: Adjust for new usptream version

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 27 Jan 2014 17:55:46 +0100
