=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

get-orig-source:
	uscan --verbose --force-download --repack-compression xz
