=== debian/watch ===
version=3
opts="dversionmangle=s/[~+]dfsg[0-9]*//" \
  http://sf.net/octave/tsa-(.+)\.tar\.gz
