## octave-tsa 4.2.9

=== debian/changelog ===
octave-tsa (4.2.9-1) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * Imported Upstream version 4.2.9
  * d/p/autoload-no.patch: Remove patch (useless, since "Autoload: no" is the
    default)
  * d/check.m: Prevent use of Java AWT dialogs, avoiding crash of unit test
  * d/p/ignore-matlab-version.patch: New patch

  [ Sébastien Villemot ]
  * Use X environment to run tests.
    - d/rules: tell octave-pkg-dev to run tests within xvfb-run.
    - d/control: add xvfb, xauth and gnuplot-nox to Build-Depends.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 21:15:25 +0200

octave-tsa (4.2.7-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Uploaders: set to Rafael Laboissiere.

  [ Rafael Laboissiere ]
  * Mention all upstream files in debian/copyright (fix Lintian warning)
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 27 Sep 2014 06:29:28 -0300
