=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
-Standards-Version: 3.9.5
+Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
+               xvfb, xauth, gnuplot-nox
+Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/tsa/
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-tsa.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-tsa.git
