## octave-tsa 4.3.3

=== DESCRIPTION ===
Name: TSA
Version: 4.3.3
Date: 2015-12-19
Author: Alois Schloegl <alois.schloegl@ist.ac.at>
Maintainer: Alois Schloegl
Title: Time Series Analysis Toolbox 
Description: Stochastic concepts and maximum entropy methods for time series analysis
Depends: octave (>= 2.9.7) 
License: GPLv3+
Url: http://www.ist.ac.at/~schloegl/matlab/tsa
