=== src/Makefile ===
--- 
+++ 
@@ -18,8 +18,8 @@
 MEX_OPTION += -largeArrayDims
 
 # Mingw crosscompiler: available at http://www.nongnu.org/mingw-cross-env/
-CROSS   = $(HOME)/src/mxe.github.schloegl/usr/bin/i686-pc-mingw32
-CROSS64 = $(HOME)/src/mxe.github.schloegl/usr/bin/x86_64-w64-mingw32
+CROSS   = $(HOME)/src/mxe/usr/bin/i686-w64-mingw32.static
+CROSS64 = $(HOME)/src/mxe/usr/bin/x86_64-w64-mingw32.static
 # include directory for Win32-Matlab include
 W32MAT_INC = -I$(HOME)/bin/win32/Matlab/R2010b/extern/include/
 W64MAT_INC = -I$(HOME)/bin/win64/Matlab/R2010b/extern/include/
@@ -39,15 +39,18 @@
 W32_LIBS += $(LDLIBS_W32)libblas.a
 W64_LIBS += $(LDLIBS_W64)libblas.a
 
-
-
-CC  	= gcc
-CXX 	= g++
-CFLAGS 	= -fopenmp -Wall -Wextra -Wconversion -O2 -fPIC 
-OCTMEX	= mkoctfile$(OCTAVE_VERSION) --mex
+CC  	?= gcc
+CXX 	?= g++
+CFLAGS 	= -Wall -Wextra -Wconversion -O2 -fPIC 
+OCTMEX	= mkoctfile$(OCTAVE_VERSION) --mex -lgomp
 RM      = rm
 
-MEX_OPTION  += -lgomp CC\#$(CXX) CXX\#$(CXX) CFLAGS\#"$(CFLAGS)" CXXFLAGS\#"$(CFLAGS)"
+ifneq (Darwin,$(shell uname))
+CFLAGS      += -fopenmp
+MEX_OPTION  += -lgomp
+endif
+
+MEX_OPTION  += CC\#$(CXX) CXX\#$(CXX) CFLAGS\#"$(CFLAGS)" CXXFLAGS\#"$(CFLAGS)"
 MATMEX      = $(MATLABDIR)/bin/mex $(MEX_OPTION)
 
 PROGS = covm_mex.mex sumskipnan_mex.mex #
@@ -57,19 +60,17 @@
 
 
 ### Matlab configuration - search for a matlab directory if not defined above
-ifndef MATLABDIR
-  ifneq ('',$(shell ls -1 /usr/local/MATLAB))
+ifeq (,$(MATLABDIR))
+  ifneq (,$(shell ls -1 /usr/local/ |grep MATLAB))
     # use oldest, typically mex-files a compatible with newer Matlab versions 
-    MATLABDIR=$(shell ls -dt1 /usr/local/MATLAB/R* |tail -1)
-    # alternatively, use latest matlab version
-    #MATLABDIR=$(shell ls -dt1 /usr/local/MATLAB/R* |head -1)
+    MATLABDIR=/usr/local/MATLAB/$(shell ls -1rt /usr/local/MATLAB/  |grep "^R*" |head -1)
   endif
 endif
 
-### if the MATLABDIR has been found or defined 
-ifneq ('',MATLABDIR)
-  ifneq ('',$(lshell ls -1 $(MATLABDIR)))
-    MEX_EXT = $(shell $(MATLABDIR)/bin/mexext)
+### if MATLABDIR has been found or defined 
+ifneq (,$(MATLABDIR))
+  ifneq (,$(shell ls -1 $(MATLABDIR)/bin/mexext))
+    MEX_EXT=$(shell $(MATLABDIR)/bin/mexext)
     mex4m matlab: $(patsubst %.mex, %.$(MEX_EXT), $(PROGS))
   endif
 endif
@@ -91,9 +92,9 @@
 	mkoctfile$(OCTAVE_VERSION) "$<"
 
 %.mex: %.cpp
-	$(OCTMEX) "$<"  -lgomp -llapack -lblas     ## Octave
+	$(OCTMEX) "$<" -llapack -lblas
 %.$(MEX_EXT): %.cpp
-	$(MATMEX) "$<"  -lgomp -llapack -lblas     ## Matlab
+	$(MATMEX) "$<" -llapack -lblas
 
 
 #########################################################
