=== debian/changelog ===
octave-tsa (4.3.3-1) unstable; urgency=medium

  * Imported Upstream version 4.3.3

 -- Rafael Laboissiere <rafael@laboissiere.net>  Tue, 29 Dec 2015 18:20:21 +0100

octave-tsa (4.3.2-1) unstable; urgency=medium

  * Imported Upstream version 4.3.2
  * d/p/ignore-matlab-version.patch: Drop patch (applied upstream)
  * d/copyright: Reflect upstream changes
  * d/control: Add octave-nan to Build-Depends

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 18 Oct 2015 23:57:02 +0200
