=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
-               xvfb, xauth, gnuplot-nox
+               xvfb, xauth, gnuplot-nox, octave-nan
 Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/tsa/
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-tsa.git
