=== debian/rules ===
--- 
+++ 
@@ -3,5 +3,7 @@
 
 include /usr/share/cdbs/1/class/octave-pkg.mk
 
+OCTPKG_TEST_ENV = xvfb-run
+
 get-orig-source:
 	uscan --verbose --force-download --repack-compression xz
