=== debian/changelog ===
octave-tsa (4.4.1-1build1) yakkety; urgency=medium

  * No-change rebuild against liboctave3v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Jun 2016 18:50:59 +0000

octave-tsa (4.4.1-1) unstable; urgency=medium

  * Imported Upstream version 4.4.1
  * d/control: Use secure URIs in the Vcs-* fields
  * d/control: Bump Standards-Version to 3.9.7 (no changes needed)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Thu, 17 Mar 2016 13:34:43 +0100
