=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: octave-tsa
 Section: math
 Priority: optional
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
                xvfb, xauth, gnuplot-nox, octave-nan
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://octave.sourceforge.net/tsa/
-Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-tsa.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-tsa.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-tsa.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-tsa.git
 
 Package: octave-tsa
 Architecture: any
