=== debian/changelog ===
octave-tsa (4.4.5-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:39:55 -0200

octave-tsa (4.4.5-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:15:04 -0200

octave-tsa (4.4.5-1) unstable; urgency=medium

  * New upstream version 4.4.5
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * d/control: Package is architecture-independent now
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 13 Jan 2017 15:11:50 -0200
