=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_OCTAVE_TEST_ENV = xvfb-run

%:
	dh $@ --buildsystem=octave --with=octave

get-orig-source:
	uscan --verbose --force-download --repack-compression xz
