=== debian/watch ===
version=4
opts="dversionmangle=s/[~+]dfsg[0-9]*//" \
  http://sf.net/octave/tsa-(.+)\.tar\.gz
