=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,21 @@
 ####################################################
-# Copyright 2010,2011,2012,2016Alois Schloegl
+# Copyright 2010,2011,2012,2016,2019 Alois Schloegl
 # This is part of the TSA-toolbox - Time Series analysis toolbox
 # http://pub.ist.ac.at/~schloegl/matlab/tsa/
 ####################################################
+# This program is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 3 of the License, or (at your option) any later
+# version.
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA  02111-1307, USA.
+
 
 ### modify directories according to your needs 
 
@@ -125,6 +138,4 @@
 
 %.mexw64: %.o64
 	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread -L$(LDLIBS_W64) -lblas -llapack
-	
-
