=== debian/changelog ===
octave-tsa (4.6.2-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file
  * d/p/utf8-encoding.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Fri, 31 Jul 2020 05:53:52 -0300

octave-tsa (4.6.2-1) unstable; urgency=medium

  * New upstream version 4.6.2
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 10 Nov 2019 10:11:40 -0300

octave-tsa (4.4.5-5) unstable; urgency=medium

  * Team upload

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)

  [ Sébastien Villemot ]
  * debian/check.m: disable one of the tests in tsademo, it enters an infinite
    loop

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Oct 2019 11:06:17 +0200

octave-tsa (4.4.5-4) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * Migrate target get-orig.source into debian/watch
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:58:08 -0200
