=== debian/control ===
--- 
+++ 
@@ -2,14 +2,19 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper (>= 11), dh-octave,
-               xvfb, xauth, gnuplot-nox, octave-nan
-Standards-Version: 4.1.3
-Homepage: http://octave.sourceforge.net/tsa/
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-octave,
+               gnuplot-nox,
+               octave-nan,
+               xauth,
+               xvfb
+Standards-Version: 4.5.0
+Homepage: https://octave.sourceforge.io/tsa/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-tsa.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-tsa
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-tsa
 Architecture: all
