=== debian/watch ===
version=4
opts="repack,compression=xz,dversionmangle=s/[~+]dfsg[0-9]*//" \
  http://sf.net/octave/tsa-(.+)\.tar\.gz
